Page MenuHomePhabricator

E5. Mark as resolved: Summary authors line v1
Closed, ResolvedPublic2 Estimated Story Points

Description

1: Summary by Cronopio timeago
2+: Summary last edited by Mooeypoo timeago

"Last edited by" timeago links to the most recent diff.

Blanking the summary removes the author line

Event Timeline

DannyH created this task.Jun 23 2015, 6:46 PM
DannyH raised the priority of this task from to Medium.
DannyH updated the task description. (Show Details)
DannyH moved this task to Team discussion on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2015, 6:46 PM
DannyH set Security to None.Jun 23 2015, 6:47 PM
DannyH edited a custom field.
DannyH renamed this task from Mark as resolved: Summary authors line v1 to E5. Mark as resolved: Summary authors line v1.Jun 30 2015, 9:02 PM
SBisson claimed this task.Jul 8 2015, 6:49 PM

In the description, the 1 vs. 2+ refers to the number of revisions on the summary or the number of distinct authors?

Do we have a mockup for the timestamp link?

DannyH added a comment.Jul 8 2015, 7:48 PM

2+ is based on distinct authors. It compares first and last authors, and if they're different then it shows the 2+ message.

This means that if the original author edits the edited summary, it will still show the 1 author message.

As we discussed on IRC, we don't have a mockup for the timestamp. It's okay to do something that works, and then show it to Pau for styling.

Change 223815 had a related patch set uploaded (by Sbisson):
[WIP] Summary authors line

https://gerrit.wikimedia.org/r/223815

This is what is looks like so far:
For 1 author:


For 2 authors:

for 2 authors (hover on the timeago link):

@DannyH @Pginer-WMF What do you think? Any comments on the styling?

It looks good to me.

For the case where the text is longer (2 authors), the text being bold made it look a bit heavy but that is probably because the summary was just one word. So I'd go with it as it is now and see how it fits with the rest of the information in the board.

Probably out of the scope. As we did for the reply line, we may want to move away from the dashed line and use a solid line to separate the summary, and preferably going from edge to edge of the topic header. I can try to fill a patchset for that.

Probably out of the scope. As we did for the reply line, we may want to move away from the dashed line and use a solid line to separate the summary, and preferably going from edge to edge of the topic header. I can try to fill a patchset for that.

I'll do it.

@Pginer-WMF is it what you had in mind?

DannyH added a comment.Jul 9 2015, 8:46 PM

I would like to have some more padding around the line, if we can.

SBisson added a comment.EditedJul 9 2015, 9:00 PM

How about this?

Yes, much better. Thanks. :)

Another small detail: by making the line solid it looks a bit darker too. Instead of the current #CCC (@colorGrayLight) we could use #DDD (@colorGray13, formerly known as @colorGrayLighter).

@colorGray13 it is

Change 223815 merged by jenkins-bot:
Summary authors line

https://gerrit.wikimedia.org/r/223815

DannyH closed this task as Resolved.Jul 13 2015, 5:17 PM

Works on Beta